include ../../Makefile.site
GOAL   = dbupdate 

OBJS   = dbupdate.o process.o
SRCS   = dbupdate.c process.c
HFILES = process.h

# DBLIBS   =  $(REQUIRES:%=-l%) -lrpsl -lripsk -lriper  -lripup -lripau -lripak -lripca -lripnt -lripmm -lrippa -lripep -lriput -lripsk -lripma -lripip -lripsq -lripsk -lripth -lripco -lrippr -lripaa -lripac -lripta -lripsv -lripsk -lripud -lripdf -lriprp -lriprx -lripnh -lrippc -lrippw -lripqc -lripqi -lripwk -lripwh -lriprp -lmysqlclient -lsocket $(LFLAGS)
#DBLIBS   =  $(REQUIRES:%=-l%) -lrpsl -lriper -lripup -lripau -lripak -lripca -lripnt -lripmm -lrippa -lripep -lriper -lriput -lripsk -lripma -lripip -lriput -lriper -lripsq -lriput -lripth -lripco -lrippr -lripaa -lripac -lripta -lripsv -lripsk -lripud -lripdf -lriprp -lriprx -lripnh -lrippm -lrippc -lrippw -lripqc -lripqi -lripwk -lripwh -lriprp -lriper -lmysqlclient -lsocket $(LFLAGS)
DBLIBS = $(REQUIRES:%=-l%) -lrip -lripup -lripau -lmysqlclient $(LFLAGS)

RIPLIBS = ../../lib/librip.a ../../lib/libripup.a ../../lib/libripau.a

# directories
srcdir		= 
top_srcdir	= ../../modules/up
INCDIRS         = -I. -I.. $(INCLUDES)
# programs

SHELL           = /bin/sh
RANLIB          = :
#CC              = gcc
#LD              = $(CC)
LD              = $(CC)
#PERL            = @PERL_PATH@
INSTALL         = ../.././install-sh -c
INSTALL_PROGRAM = ${INSTALL}
INSTALL_DATA    = ${INSTALL} -m 644

# The default location for installation.
prefix      = /usr/local
exec_prefix = ${prefix}
bindir      = ${exec_prefix}/bin
mandir      = ${prefix}/man
man1dir     = $(mandir)/man1
man8dir     = $(mandir)/man8

DEFINES  = -DHAVE_CONFIG_H -DHAVE_STRSEP
# CFLAGS   = -gstabs+
CFLAGS   =

default: all

# Implicit rules
.c.o:
	$(CC)  -c $(CPPFLAGS) $(CFLAGS) $(DEFINES) $(INCDIRS) $<

#
# No need to make changes below
#
all: $(GOAL) 

$(GOAL): $(OBJS) $(RIPLIBS)
#$(GOAL): $(OBJS)
	$(LD) $(CFLAGS) -o $(GOAL) $(OBJS) $(DBLIBS) $(LIBS)

clean:
	rm -f core *.o *~ $(GOAL)

mostlyclean:
	rm -f core *.o *~

